<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8" />
    <title>#5 - l'Electronique</title>
    <meta name="description" content="" />
    <meta name="robots" content="noindex">
    <meta name="author" content="Joris Navarro" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <link rel="stylesheet" href="../src/reveal.js/css/reveal.css" />
    <link rel="stylesheet" href="../src/reveal.js/css/theme/moon.css" id="theme" />
    <link rel="stylesheet" href="../src/reveal.js/lib/css/highlight/railscasts.css" />
    <!-- <link rel="stylesheet" href="../src/reveal.js/lib/css/highlight/github.css"> -->
    <link rel="stylesheet" href="../src/custom/style.css" />
    <script>
        document.write(
            '<link rel="stylesheet" href="../src/reveal.js/css/print/' +
            (window.location.search.match(/print-pdf/gi) ? "pdf" : "paper") +
            '.css" type="text/css" media="print">'
        );
    </script>
    <!--[if lt IE 9]>
      <script src="../src/reveal.js/lib/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Code steps start -->
    <link rel="stylesheet" href="../src/code-steps/prism-tomorrow.css" />
    <link rel="stylesheet" href="../src/code-steps/style.css" />
    <!-- Code steps end -->
</head>

<body>
    <div class="reveal">
        <div id="pagination"></div>
        <div class="slides">
            <section data-background-image="img/DSC00088.JPG">
                <h1>Les P'tits génies</h1>
            </section>

            <!-- Title -->
            <section>
                <section>
                    <h2>Atelier 05 - L'electronique</h2>
                    <!-- summary -->
                </section>
            </section>

            <section>
                <h3>Shifumi géant</h3>
                <aside class="notes">
                    <a href="https://blog.myagilepartner.fr/index.php/2018/05/20/ice-breaker-5-le-shifumi-geant/" target="_blank">Shifumi géant</a> on va demander aux participants de se balader dans la salle chacun individuellement. Au « Go » de l’animateur,
                    les gens vont avancer et s’arrêter dès qu’ils vont rencontrer quelqu’un. Les deux personnes vont alors faire le Shi Fu Mi classique.
                </aside>
            </section>


            <section data-background-image="img/agenda.png" data-background-size="contain" data-backgound-position="top 20px; bottom 20px;">
                <small class="caption"></small>
            </section>

            <!-- analogic -->
            <section>
                <section>
                    <h3>Les bases de l'électronique</h3>
                </section>

                <section>
                    <iframe width="853" height="480" src="https://www.youtube.com/embed/LAReDwzwXtQ?start=23&end=221" title="Le courant électrique" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                    <small>Vidéo de <a href="https://www.youtube.com/c/Mentalit%C3%A9Ing%C3%A9nieur">Mentalité Ingénieur</a></small>
                </section>

                <section>
                    <iframe width="853" height="480" src="https://www.youtube.com/embed/imCJI3UUvO8?start=20&end=215" title="La tension" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                    <small>Vidéo de <a href="https://www.youtube.com/c/Mentalit%C3%A9Ing%C3%A9nieur">Mentalité Ingénieur</a></small>
                </section>

                <section>
                    <table class="stretch">
                        <tr>
                            <td><img src="img/analogie-eau-02_1.png" class="stretch" /></td>
                            <td style="vertical-align: top;">
                                <ul>
                                    <li class="fragment">
                                        La <span class="highlight b">tension (3)</span> U en <span class="highlight">Volts (V)</span> <br>=> Pression <br> => différence de potentiel entre <span class="highlight">2</span> et <span class="highlight">1</span>
                                    </li>
                                    <li class="fragment">
                                        Le <span class="highlight b">courant</span> I en <span class="highlight">Ampère (A)</span> => débit
                                    </li>
                                    <li class="fragment">
                                        La <span class="highlight b">résistance (4)</span> R en <span class="highlight">Ohm (&#8486)</span> => réduit le débit, pas la pression
                                    </li>
                                </ul>
                            </td>
                        </tr>
                    </table>
                </section>

                <section data-markdown>
                    <textarea data-template>
              La puissance                  

              ![P=UxI](img/pui.png)    
            </textarea>
                    <aside class="notes">
                        En électricité, puissance = tension x intensité. Si l’on prend l’image d’un tuyau d’eau, la puissance électrique serait équivalente à la pression dans le tuyau quand le robinet est fermé (tension) multiplié par le débit d’eau quand le robinet est ouvert
                        (intensité).
                    </aside>
                </section>

                <section data-background-image="img/personajesvri.png" data-background-size="contain">
                    <small class="caption"></small>
                </section>

                <section>
                    <table class="stretch">
                        <tr>
                            <td><img src="img/analogie-eau-02_1.png" class="stretch" /></td>
                            <td style="vertical-align: top;">
                                <ul>
                                    <li class="fragment">
                                        La circuit est <span class="highlight">fermé</span> <br>=> le courant <span class="red">passe</span>
                                    </li>
                                    <li class="fragment">
                                        La circuit est <span class="highlight">ouvert</span> <br>=> le courant <span class="red">ne passe pas</span><br>=> discontinuié
                                    </li>
                                    <br>
                                    <li class="fragment">
                                        La circuit est <span class="highlight">en série (5)</span> <br>=> à la suite
                                    </li>
                                    <li class="fragment">
                                        La circuit est <span class="highlight">en parallèle (6)</span> <br>=> à coté
                                    </li>
                                </ul>
                            </td>
                        </tr>
                    </table>
                </section>


                <section>
                    <h2>Alimentations AC/DC</h2>
                    <ul>
                        <li>Générateurs réglables</li>
                        <li>Pile</li>
                        <li>Accumulateurs (rechargables)</li>
                        <li>Panneaux solaires</li>
                        <li>Dynamos</li>
                        <li>Alternateurs</li>
                        <li>
                            <span style="text-decoration: line-through;">Les transformateurs</span>
                        </li>
                    </ul>
                </section>

                <section data-background-image="img/chargeur.jpg" data-background-size="contain">
                </section>

                <section data-markdown>
                    <textarea data-template>
                      * la tension U (en V) se mesure en parallèle 
                      * l'intensité du courant I (en A)  se mesure en série<!-- .element: class="fragment" -->
                      ![branchement multimetre](img/branchement_amperemetre_voltmetre.jpg)
                  </textarea>
                </section>

                <section>
                    <table class="stretch">
                        <tr>
                            <td><img src="img/puissance-lampe.png" class="stretch" /></td>
                            <td style="vertical-align: top;">
                                <ul>
                                    <li><span class="highlight">P = U . I</span></li>
                                    <li class="fragment">
                                        Quelle est la <span class="highlight">résistance</span> de la lampe ?
                                    </li>
                                    <li class="fragment">
                                        La loie d'Ohm <span class="highlight">U = R . I</span>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                    </table>
                </section>

                <section data-background-image="img/loiohm.png" data-background-size="contain">
                </section>

                <section data-markdown>
                    <textarea data-template>
                ### Présentation du multimètre                  

                ![multimetre](img/multimetre.jpg)

                Notes:
                  * tester la tension d'une pile    
              </textarea>
                </section>

                <section>
                    <h3>Unités de mesures</h3>
                    <table style="width: 100%; border-collapse: collapse; border-width: 1px; border-color: #000000; border-style: solid; font-size: 30px" cellpadding="5">
                        <tbody>
                            <tr style="font-weight: bold;">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">Multiple</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">Préfixe</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">Notation</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">Nom</td>
                            </tr>
                            <tr class="fragment" data-fragment-index="3">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>9</sup> &nbsp;/ 1 000 000 000</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">giga-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">G</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">milliard&nbsp;</td>
                            </tr>
                            <tr class="fragment" data-fragment-index="2">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>6</sup> &nbsp;/ 1 000 000</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">méga-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">M</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">million&nbsp;</td>
                            </tr>
                            <tr class="fragment" data-fragment-index="1">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>3</sup> &nbsp;/ 1 000</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">kilo-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">k</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">millier&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>0</sup> &nbsp;/ 1 </td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;"></td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">unité&nbsp;</td>
                            </tr>
                            <!-- <tr class="fragment">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>-1</sup> / 0.1</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">déci-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">d</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">dixième&nbsp;</td>
                            </tr>
                            <tr class="fragment">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>-2</sup> / 0.01</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">centi-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">c&nbsp;</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">centième&nbsp;</td>
                            </tr> -->
                            <tr class="fragment" data-fragment-index="5">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>-3</sup> / 0.001</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">milli-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">m&nbsp;</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">millième&nbsp;</td>
                            </tr>
                            <tr class="fragment" data-fragment-index="6">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>-6</sup> / 0.00000</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">micro-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">μ</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">millionième&nbsp;</td>
                            </tr>
                            <tr class="fragment" data-fragment-index="7">
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">10<sup>-9</sup> / 0.000000001</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">nano-</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">n&nbsp;</td>
                                <td style="border-width: 1px; border-color: #000000; border-style: solid;">milliardième&nbsp;</td>
                            </tr>
                        </tbody>
                    </table>
                </section>

                <section>
                    <h3>Mes premiers circuits</h3>
                </section>

                <section data-background-image="img/drawing.png" data-background-size="contain">
                    <h3>Les composants de base</h3>
                    <ul>
                        <li>Résistance - Potentiomètre</li>
                        <li>Intérrupteur - Transistor</li>
                        <li>Condensateur</li>
                        <li>Diode (LED)</li>
                    </ul>
                </section>


                <section>
                    <h3>Platine d'expérimentation (breadboard)</h3>
                    <table>
                        <tr>
                            <td><img src="img/bread1.png" alt=""></td>
                            <td><img src="img/wires.png" alt=""></td>
                            <td><img src="img/bread2.png" alt=""></td>
                        </tr>
                    </table>
                </section>

                <section data-background-image="img/breadboard.png" data-background-size="contain"> </section>
                <section data-background-image="img/breadboard2.png" data-background-size="contain"> </section>

                <section>
                    <h4>Les résistances</h4>
                    <img src="img/r.jpg" alt="">
                </section>

                <section>
                    <img src="img/r2.jpg" alt="">
                    <img src="img/r3.jpg" alt="">
                </section>
                <section data-background-image="img/Resistors.jpg" data-background-size="contain">
                    <h4 style="font-size: smaller;background-color: purple;">Ne Mangez Rien Ou Je Vous Brule Votre Grosse Barbe</h4>
                    <br><br>
                </section>

                <section>
                    <h4>LED</h4>
                    <img src="img/led.jpg" alt=""> <br>
                </section>

                <section data-background-image="img/LED.png" data-background-color="white" data-background-size="contain">
                </section>

                <section data-background-image="img/tension_seuil.png" data-background-size="cover">
                    <small class="caption">la tension de seuil des résistances</small>
                </section>

                <section>
                    <h3>En pratique</h3>
                    <ul>
                        <li>tester la tension de piles</li>
                        <li>tester la résistance d'une résistance</li>
                        <li>tester la résistance d'un protentiomètre</li>
                        <li>Faire un circuit LED (avec résistance adaptée)</li>
                        <li>Prendre les mesures</li>
                        <li>Interrupteur</li>
                        <li>Photo resistance</li>
                        <li>Potentiomètre</li>
                    </ul>
                </section>

                <section>
                    <img src="img/components_batseries.png" alt="">
                </section>

                <section data-background-image="img/circuit1.png" data-background-size="contain">
                    <small class="caption"></small>
                </section>
                <section data-background-image="img/circuit2.jpg" data-background-size="contain">
                    <small class="caption"></small>
                </section>

                <section data-background-image="img/3ledsparallel-e1631912556454.png" data-background-size="contain">
                    <small class="caption"></small>
                </section>

                <section>
                    <img src="img/Interrupteur_Elec.png" alt="">
                </section>

                <section><img src="img/489338.image1.jpg" alt=""></section>

                <section>
                    <h3>Simulateur de circuit en ligne</h3>
                    <p><a href="https://www.circuitlab.com/editor/#?id=rb3jb3j37vmm&from=workbench" target="_blank">Circuitlab</a></p>
                </section>
            </section>

            <section>
                <section>
                    <h3 class="r-fit-text">Autres composants</h3>
                </section>

                <section>
                    <h2>Les capteurs</h2>
                    <ul>
                        <li>Actifs</li>
                        <li>Passifs</li>
                    </ul>
                    <br><br>
                    <ul>
                        <li>Analogiques</li>
                        <li>Numériques</li>
                        <li>Logique (TOR)</li>
                    </ul>
                    <aside class="notes">
                        Angle, contrainte, courant, champs magnétique, débit, déplacement, distance, force, inertiel, lumière, niveau, position, pression, son, température
                    </aside>
                </section>

                <section>
                    <h2>Les actionneurs</h2>
                    <ul>
                        <li class="fragment">Mécanique</li>
                        <li class="fragment">Visuels</li>
                        <li class="fragment">Thermiques</li>
                        <li class="fragment">Sonnores</li>
                        <li class="fragment">Magnétique</li>
                    </ul>
                </section>
            </section>

            <!-- anaolgic to numeric -->
            <section>
                <section>
                    <h3>Plutôt vynile, CD ou mp3 ?</h3>
                </section>

                <section data-background-image="img/Vinyle-au-microscope.jpg" data-background-size="contain"></section>

                <section>
                    <h2>Le passage au numérique</h2>
                    <ul>
                        <li>Compression</li>
                        <li>Stockage</li>
                        <li>Traitements</li>
                    </ul>
                </section>

                <section>
                    <h3>Comment numériser un signal continu</h3>
                    <p>vers un signal discret</p>
                    <ul>
                        <li>Echantillonage (Sampling)</li>
                        <li>Quantification (Resolution)</li>
                    </ul>
                    <br>
                    <div style="background-color: white;">
                        <img src="img/ES13.INF14_v3.svg" alt=""></div>
                </section>

                <section data-background-image="img/codage-2bits.png" data-background-size="contain">

                </section>
                <section>
                    <h3>Stockage</h3>
                    <p>taille du fichier (en nombre de bit) = fréquence d’échantillonnage × quantification (en bit) × durée (en seconde) × nombre de voies (2 voies si l’enregistrement est en stéréo)</p>
                </section>

                <section data-background-image="img/ES13.INF7_v3.svg" data-background-size="contain" data-background-color="white">
                    <h3>Compression</h3>
                </section>

            </section>

            <!-- bit  -->
            <section>
                <section>
                    <h2 class="r-fit-text">un bit ?</h2>
                    <h2 class=" fragment r-fit-text">BInary <span class="highlight">digIT</span></h2>
                    <p class=" fragment r-fit-text">Le bit est l'unité la plus simple dans un système de numération, ne pouvant prendre que deux valeurs, désignées le plus souvent par les chiffres 0 et 1</span> <small>Wikipedia</small></p>

                    <aside class="notes">
                        De l’anglais digit (« chiffre »), lui-même issu du latin digitus (« doigt »)
                    </aside>
                </section>

                <section data-auto-animate>
                    <h3 class="r-fit-text">Il y a 10 sortes de gens dans le monde,</h3>
                    <h4 class="fragment r-fit-text">Ceux qui comprennent le binaire et ceux qui ne le comprennent pas.</h4>
                    <aside class="notes">
                    </aside>
                </section>

                <section>
                    <h3 class="r-fit-text">un byte ?</h3>
                    <h4 class=" fragment r-fit-text">1 byte = 1 octet = 8 bits</h2>
                        <p class=" fragment r-fit-text">Le byte, ou multiplet en français, est la plus petite unité « logiquement » adressable par un programme sur un ordinateur.</span> <small>Wikipedia</small></p>

                        <img class=" fragment r-frame" src="img/Bits_and_Bytes.svg.png" width="300">
                        <aside class="notes">
                            En anglais comme en français, si l'on veut explicitement désigner une quantité de huit bits, on utilise le mot octet ; tandis que si l'on veut exprimer l'unité d'adressage indépendamment du nombre de bits, on utilise le mot byte.
                        </aside>
                </section>

                <section>
                    <h4>Calcul binaire</h4>
                    <table>
                        <tr class="fragment">
                            <th></th>
                            <th>7</th>
                            <th>6</th>
                            <th>5</th>
                            <th>4</th>
                            <th>3</th>
                            <th>2</th>
                            <th>1</th>
                            <th>0</th>
                        </tr>
                        <tr class="fragment">
                            <td></td>
                            <td>128</td>
                            <td>64</td>
                            <td>32</td>
                            <td>16</td>
                            <td>8</td>
                            <td>4</td>
                            <td>2</td>
                            <td>1</td>
                        </tr>
                        <tr class="fragment">
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                        </tr>
                        <tr class="fragment">
                            <td>2</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>1</td>
                            <td>0</td>
                        </tr>
                        <tr class="fragment">
                            <td>61</td>
                            <td>0</td>
                            <td>0</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>0</td>
                            <td>1</td>
                        </tr>
                        <tr class="fragment">
                            <td>255</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                        </tr>
                    </table>
                </section>


                <section>
                    <img src="img/ASCII-Table-wide.svg.png" class="fit" alt="ascii table" />
                </section>
                <section>
                    <img src="img/helloworld_file.png" class="fit" alt="hello world" />
                </section>

                <section>
                    <img src="img/rgbhex.png" class="fit" alt="hello world" />
                </section>
            </section>

            <!-- cricuits logiques -->
            <section>

                <section>
                    <h2>Circuits logiques & circuits intégrés</h2>
                </section>

                <section>
                    <h3>Variables logiques</h3>
                    <p>En électronique les deux états d'une variable booléenne sont associés à deux niveaux de tension : V(0) et V(1) pour les états 0 et 1 respectivement.</p>
                </section>

                <section>
                    <h2>Les circuits logiques</h2>
                    <br>
                    <p>Elaboré à partir de composants de base, transistors</p>
                    <br>
                    <ul>
                        <li>Combinatoire</li>
                        <li>Séquentiels</li>
                    </ul>

                </section>

                <section>
                    <h3>Circuits combinatoires</h3>
                    <ul>
                        <li>Algèbre de Boole</li>
                        <li>sortie = f(entrées), f étant défini par 1 ou plus fonctions logiques</li>
                    </ul>
                    <img src="img/combi.png" alt="">

                    <aside class="notes">
                    </aside>
                </section>

                <section>
                    <h3>Circuits séquentiels ou à mémoire</h3>
                    <ul>
                        <li>Machines finie à état (graphes)</li>
                        <li>Les fonctions de sortie dépendent non seulement de l’état des variables d’entrée mais également de l’état antérieur de certaines variables de sortie (propriétés de mémorisation)</li>
                    </ul>
                    <img src="img/sequen.png" alt="">

                    <aside class="notes">
                    </aside>
                </section>




                <section>
                    <h3>Portes logiques</h3>
                    <ul>
                        <li class="highlight">ET - AND</li>
                        <li class="highlight">OU - OR</li>
                        <li class="highlight">NON - NOT</li>
                        <li>NON ET - NAND</li>
                        <li>NON OU - NOR</li>
                        <li>OU EXCLUSIF - XOR</li>
                    </ul>
                </section>

                <section>
                    <h4>La porte OR</h4>
                    <img src="img/or.PNG" alt="or" />
                </section>

                <section>
                    <h4>La porte AND</h4>
                    <img src="img/and.PNG" alt="or" />
                </section>

                <section>
                    <h4>La porte NOT</h4>
                    <img src="img/not.PNG" alt="or" />
                </section>


                <section>
                    <h4>La porte NAND</h4>
                    <p>Est constituée par un inverseur à la sortie d'une porte ET</p>
                    <img src="img/nand.PNG" alt="or" />
                </section>

                <section>
                    <span>Toute fonction booléenne d'un nombre
                quelconque de variables peut s'écrire avec
                les trois fonctions de base ET, OU et NON</span>
                    <img src="img/combinaison.png" alt="or" />
                </section>

                <section data-background-image="img/7segments.png" data-background-size="contain">

                </section>

                <section data-background-image="img/Logigramme_d_un_decodeur_4_vers_7_de_type_7447.gif" data-background-size="contain">

                </section>

                <section data-background-image="img/Table_de_verite_et_brochage_d_un_decodeur_7447.gif" data-background-size="contain">
                </section>

                <section data-background-image="img/cd4511-7-segment-decoder-circuit.png" data-background-size="contain">
                </section>

            </section>

            <!--  mcu -->
            <section>
                <section>
                    <h3>Les microcontrolleurs</h3>
                    <span style="text-align: left;">Un calculateur est une machine de traitement de l’information capable
                    </span>
                    <ul>
                        <li>Acquérir l’information</li>
                        <li>Stocker l’information</li>
                        <li>Transformer l’information</li>
                        <li>Effectuer des traitements</li>
                        <li>Restituer sous une autre forme (Résultats)</li>
                    </ul>
                    <aside class="notes">Nous appelons information tout ensemble de données textes, nombres, etc, mais aussi les instructions composant les programmes. L’information est manipulée sous forme binaire</aside>
                </section>
                <section>
                    <h3>Composition d'un microcontrolleur</h3>
                    <ul>
                        <li>Mémoire</li>
                        <li>Processeur</li>
                        <li>Entrées/sorties</li>
                    </ul>
                    <img src="img/archi.PNG" alt="">
                </section>
                <section data-background-image="img/mcu.PNG" data-background-size="contain">
                </section>


                <section data-background-image="img/medium-ATmega328P-TQFP-32.png" data-background-size="contain">
                </section>
                <section data-markdown>
                    <textarea>
* RISC
* Harvard
* Bus de données 8 bits
* 131 Instructions (16 bits)
* 32 Ko Flash (Programme)
* 2 Ko SRAM (Données)
* 1 Ko EEPROM (Données)
* Fréquence CPU 4 Mhz / 8 Mhz /16 Mhz
                  </textarea>

                </section>
                <section data-background-image="img/diagramme_arduino.jpg" data-background-size="contain">
                </section>

                <section>
                    <h4><a href="https://www.electronique-mixte.fr/wp-content/uploads/2018/07/Cours-Microcontr%C3%B4leur-microprocesseur-19.pdf">Pour aller un peu plus loin</a></h4>
                </section>


            </section>

            <!-- arduino -->
            <section>
                <section>
                    <h3>Arduino</h3>
                    <img src="img/arduino.jpg" alt="arduino" height="300">

                </section>

                <section>
                    <p>Un peu d'histoire</p>
                    <ul>
                        <li>Massimo Banzi</li>
                        <li>Interaction Design Institute</li>
                        <li>Open source (enfin presque)</li>
                        <li>learning by doing et le project based learning</li>
                    </ul>
                    <img src="img/diy.PNG" alt="">
                    <aside class="notes">Lorsque Massimo Banzi et ses collègues de l’Interaction Design Institute d’Ivrea, en Italie, ont développé l’Arduino, l’objectif était de permettre aux étudiants de pouvoir disposer d’une plateforme valant le prix d’une pizza pour
                        réaliser des projets interactifs3. Ainsi, l’Arduino a été conçu dès le départ dans un but pédagogique, pour être bon marché, doté d’une grande quantité d’entrées et de sorties, compatible Mac, Windows et Linux, programmable avec
                        un langage très simple et open source. Il n’y a là que des avantages pour le monde scolaire, en particulier parce que l’Arduino se situe au croisement entre l’informatique, l’électronique et les travaux manuels4. L’approche pédagogique
                        de l’Arduino est particulière. Il ne s’agit pas d’aborder la matière d’une manière linéaire, mais en bricolant et en «bidouillant»: on câble, on branche et on regarde ce que cela donne. C’est une approche par la pratique et l’expérimentation
                        qui convient très bien à des élèves, même (et surtout) peu scolaires. Il y a bien sûr un risque de «griller» un Arduino; mais il ne s’agit que de 30 francs de matériel, et pas d’un ordinateur à 1200 francs! L’Arduino est un excellent
                        outil pour le learning by doing et le project based learning. Une approche par la théorie, même si elle reste possible, serait contre-productive. La meilleure preuve que l’Arduino est parfaitement adapté aux élèves est qu’en quelques
                        leçons, ils sont déjà prêts à réaliser des projets concrets. Ce cours a été pensé pour des élèves (et des enseignants) qui n’ont aucune notion en programmation et en électronique. Par rapport au gigantesque potentiel de l’Arduino,
                        il est volontairement limité, mais il s’efforce d’être progressif et surtout axé sur la pratique. Il n'est pas fait pour être suivi de manière linéaire. Après les bases acquises, l'enseignant peut choisir ses modules. Note: Il
                        n'y a pas de différence entre du matériel Arduino et Genuino. Faites attention avec les copies chinoises d'Arduino. Les moins chères peuvent poser des problèmes d'utilisation assez importants (drivers nécessaires, câblage avec
                        faux contacts…).</aside>
                </section>
                <section data-background-image="img/arcuino2.PNG" data-background-size="contain">
                </section>
                <section>
                    <ul>
                        <li>SMD - Surface Mounted Device</li>
                        <li>DIP - Dual Inline Package</li>
                    </ul>
                    <img src="img/arduinosmd.png" alt="">
                    <aside class="notes">C’est le cerveau de notre carte. Il va recevoir le programme que nous allons créer et va le stocker dans sa mémoire avant de l’exécuter. Grâce à ce programme, il va savoir faire des choses, qui peuvent être : faire clignoter une LED,
                        afficher des caractères sur un écran, envoyer des données à un ordinateur, mettre en route ou arrêter un moteur… Il existe deux modèles d’Arduino Uno: l’un avec un microcontrôleur de grande taille, et un autre avec un microcontrôleur
                        dit SMD (SMD: Surface Mounted Device, soit composants montés en surface, en opposition aux composants qui traversent la carte électronique et qui sont soudés du côté opposé). D’un point de vue utilisation, il n’y a pas de différence
                        entre les deux types de microcontrôleurs. Les couleurs de l'Arduino peuvent varier du bleu au bleu-vert, en fonction des modèles et années de production.</aside>
                </section>

                <section>
                    <h3>Tensions</h3>
                    <ul>
                        <li>Entrée : 5V - 12V</li>
                        <li>Sorties : <br>
                            <ul>
                                <li>Analogique 0-1024 / 0-5V</li>
                                <li>Digitale: LOW = 0V, HIGH = 5V (i max = 0,6A)</li>
                            </ul>
                        </li>
                    </ul>
                </section>

                <section data-background-image="img/arduino-uno-pinout-diagram.jpg" data-background-size="contain">

                </section>

                <!-- IDE  -->
                <section>
                    <h3>Arduino IDE</h3>
                    <ul>
                        <li><a href="http://arduino.cc">http://arduino.cc</a></li>
                        <li>Windows, Mac, Linux, </li>
                        <li>En ligne: <a href="https://create.arduino.cc/editor">https://create.arduino.cc/editor</a></li>
                    </ul>
                    <img src="img/ide.PNG">
                </section>

                <section>
                    <h3>TP: Réaliser le circuit suivant</h3>
                    <img src="img/tp1.PNG" alt="">

                </section>
                <section>
                    <ul>
                        <li> 1 Led </li>
                        <li>1 résistance de 220 à 470Ω </li>
                        <li>2 câbles </li>
                    </ul>
                </section>
                <section>
                    <h3>Le programme</h3>
                    <strong> Présentation de l'IDE</strong>
                </section>
                <section data-markdown>
                    <pre> <code class="c++">
                        // the setup function runs once when you press reset or power the board 
                        void setup() { 
                          // initialize digital pin LED_BUILTIN as an output. 
                          pinMode(LED_BUILTIN, OUTPUT); 
                        } 
                        // the loop function runs over and over again forever 
                        void loop() { 
                          digitalWrite(LED_BUILTIN, HIGH); 
                        // turn the LED on (HIGH is the voltage level) 
                        delay(1000); 
                        // wait for a second 
                        digitalWrite(LED_BUILTIN, LOW); 
                        // turn the LED off by making the voltage LOW 
                        delay(1000); 
                        // wait for a second 
                      }
                        </code>
                      </pre>
                </section>

                <section data-background-image="img/code.PNG" data-background-size="contain">
                </section>
            </section>


        </div>
    </div>

    <script src="../src/caniuse-embed.min.js"></script>
    <script src="../src/reveal.js/lib/js/head.min.js"></script>
    <script src="../src/reveal.js/js/reveal.js"></script>

    <!-- Code steps start -->
    <script src="../src/code-steps/prism.js" data-manual></script>
    <!-- Code steps end -->

    <script type="module" src="../src/custom/script-module.js"></script>

    <!-- <script>
        document.getElementById('theme').setAttribute('href', '../src/reveal.js/css/theme/orange.css');
    </script> -->
</body>

</html>